import org.junit.Assert;
import org.junit.Test;

import static org.junit.Assert.*;

public class ArrazTest {
    int[] spiffyHandyIntArray = new int[] {4,5,102,6,-7,12,-32,92,8};

    @Test
    public void test1SumValueOfArrayInt(){
        int[] spiffyHandyIntArray = new int[] {4,5,102,6,-7,12,-32,92,8};

        int expecte = 190;
        int actual = Arraz.sumValuesOfArray(spiffyHandyIntArray);
        Assert.assertEquals(expecte,actual);



    }
    @Test
    public void test2SumValueOfArrayInt(){
        int[] spiffyHandyIntArray = new int[] {4,5,6,-7,12,-32,92,};

        int expecte = 80;
        int actual = Arraz.sumValuesOfArray(spiffyHandyIntArray);
        Assert.assertEquals(expecte,actual);



    }


    @Test
    public void test1SumValueOfArrayDouble(){
        double[] spiffyHandyDoubleArray = new double[] {1.0, 0.5, 3.6, 3.14159};


        double expecte = 8.24159;
        double actual = Arraz.sumDoublesOfArray(spiffyHandyDoubleArray);
        Assert.assertEquals(expecte,actual,0.00001);



    }

    @Test
    public void test2SumValueOfArrayDouble(){
        double[] spiffyHandyDoubleArray = new double[] {1.0, 0.5, 3.6 -0.8};


        double expecte = 4.3;
        double actual = Arraz.sumDoublesOfArray(spiffyHandyDoubleArray);
        Assert.assertEquals(expecte,actual,0.01);


    }

    @Test
    public void test1AverageOfArray(){
        int[] spiffyHandyIntArray = new int[] {4,5,6,-7,12,-32,92,};
         int expected = 11;
         int actual = Arraz.averageOfArray(spiffyHandyIntArray);
         Assert.assertEquals(expected, actual);
    }
    @Test
    public void test2AverageOfArray(){
        int[] spiffyHandyIntArray = new int[] {4,5,6,10};
        int expected = 6;
        int actual = Arraz.averageOfArray(spiffyHandyIntArray);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void test1DoubleAverageOfArray(){
        double[] spiffyHandyIntArray = new double[] {4.3,5.9,6.09,10.8};
        double expected = 6.77;
        double actual = Arraz.doubleAverageOfArray(spiffyHandyIntArray);
        Assert.assertEquals(expected, actual, 0.01);
    }

    @Test
    public void test2DoubleAverageOfArray(){
        double[] spiffyHandyIntArray = new double[] {8.0,9.9,8.009,77.06};
        double expected = 25.742;
        double actual = Arraz.doubleAverageOfArray(spiffyHandyIntArray);
        Assert.assertEquals(expected, actual, 0.001);
    }


    @Test
    public void test1ContainsValue(){
        int[] spiffyHandyIntArray = new int[] {4,5,6,-7,12,-32,92,};
         int num = -32;
        Assert.assertTrue(Arraz.containValue(spiffyHandyIntArray,num));


    }

    @Test
    public void test2ContainsValue(){
        int[] spiffyHandyIntArray = new int[] {4,5,6,-7,12,-32,92,};
        int num = 6;
        Assert.assertTrue(Arraz.containValue(spiffyHandyIntArray,num));


    }



@Test
    public void testReverseArray(){
        int[] spiffyHandyIntArray =  {4,5,6,-7,12,-32,92,};

        int [] expected =  {92,-32,12,-7,6,5,4};
        int [] actual = Arraz.reverseArray(spiffyHandyIntArray);


}
}